Loading...
Searching...
No Matches
MonomerInfo.h File Reference

Defines Monomer information classes. More...

`#include <RDGeneral/export.h>`
`#include <string>`
`#include <utility>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::AtomMonomerInfo
| The abstract base class for atom-level monomer info. More...
class | RDKit::AtomPDBResidueInfo
| Captures atom-level information about peptide residues. More...

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_GRAPHMOL_EXPORT std::ostream & | operator<< (std::ostream &target, const RDKit::AtomPDBResidueInfo &apri)
| allows AtomPDBResidueInfo objects to be dumped to streams

## Detailed Description

Defines Monomer information classes.

Definition in file MonomerInfo.h.

## Function Documentation

## operator<<()

RDKIT_GRAPHMOL_EXPORT std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDKit::AtomPDBResidueInfo & | apri
| ) |  |

allows AtomPDBResidueInfo objects to be dumped to streams